Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class Notifier

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.Notifier

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class Notifier

extends Object

Configures one method for notifying users/developers when a build breaks.

Java class for Notifier complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Notifier">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="type" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="sendOnError" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="sendOnFailure" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="sendOnSuccess" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="sendOnWarning" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="address" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="configuration" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <any processContents='skip' maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `Notifier.Configuration` Java class for anonymous complex type.

Field Summary
`protected String` | `address`
`protected Notifier.Configuration` | `configuration`
`protected Boolean` | `sendOnError`
`protected Boolean` | `sendOnFailure`
`protected Boolean` | `sendOnSuccess`
`protected Boolean` | `sendOnWarning`
`protected String` | `type`

Constructor Summary
`Notifier()`

Method Summary
`String` | `getAddress()` Gets the value of the address property.
`Notifier.Configuration` | `getConfiguration()` Gets the value of the configuration property.
`String` | `getType()` Gets the value of the type property.
`Boolean` | `isSendOnError()` Gets the value of the sendOnError property.
`Boolean` | `isSendOnFailure()` Gets the value of the sendOnFailure property.
`Boolean` | `isSendOnSuccess()` Gets the value of the sendOnSuccess property.
`Boolean` | `isSendOnWarning()` Gets the value of the sendOnWarning property.
`void` | `setAddress(String value)` Sets the value of the address property.
`void` | `setConfiguration(Notifier.Configuration value)` Sets the value of the configuration property.
`void` | `setSendOnError(Boolean value)` Sets the value of the sendOnError property.
`void` | `setSendOnFailure(Boolean value)` Sets the value of the sendOnFailure property.
`void` | `setSendOnSuccess(Boolean value)` Sets the value of the sendOnSuccess property.
`void` | `setSendOnWarning(Boolean value)` Sets the value of the sendOnWarning property.
`void` | `setType(String value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String type

### sendOnError

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Boolean sendOnError

### sendOnFailure

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Boolean sendOnFailure

### sendOnSuccess

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Boolean sendOnSuccess

### sendOnWarning

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Boolean sendOnWarning

### address

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String address

### configuration

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Notifier.Configuration configuration

Constructor Detail

### Notifier

    public Notifier()

Method Detail

### getType

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### isSendOnError

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Boolean isSendOnError()

  Gets the value of the sendOnError property.

  Returns:
    possible object is `Boolean`

### setSendOnError

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setSendOnError(Boolean value)

  Sets the value of the sendOnError property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSendOnFailure

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Boolean isSendOnFailure()

  Gets the value of the sendOnFailure property.

  Returns:
    possible object is `Boolean`

### setSendOnFailure

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setSendOnFailure(Boolean value)

  Sets the value of the sendOnFailure property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSendOnSuccess

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Boolean isSendOnSuccess()

  Gets the value of the sendOnSuccess property.

  Returns:
    possible object is `Boolean`

### setSendOnSuccess

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setSendOnSuccess(Boolean value)

  Sets the value of the sendOnSuccess property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSendOnWarning

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Boolean isSendOnWarning()

  Gets the value of the sendOnWarning property.

  Returns:
    possible object is `Boolean`

### setSendOnWarning

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setSendOnWarning(Boolean value)

  Sets the value of the sendOnWarning property.

  Parameters:
    `value` - allowed object is `Boolean`

### getAddress

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getAddress()

  Gets the value of the address property.

  Returns:
    possible object is `String`

### setAddress

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setAddress(String value)

  Sets the value of the address property.

  Parameters:
    `value` - allowed object is `String`

### getConfiguration

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Notifier.Configuration getConfiguration()

  Gets the value of the configuration property.

  Returns:
    possible object is `Notifier.Configuration`

### setConfiguration

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setConfiguration(Notifier.Configuration value)

  Sets the value of the configuration property.

  Parameters:
    `value` - allowed object is `Notifier.Configuration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.